com.tibbo.aggregate.common.protocol

## Class IncomingAggreGateCommand

- java.lang.Object
- - java.io.OutputStream
  - - java.io.ByteArrayOutputStream
    - - com.tibbo.aggregate.common.communication.Command
      - - com.tibbo.aggregate.common.protocol.AggreGateCommand
        - - com.tibbo.aggregate.common.protocol.IncomingAggreGateCommand

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable

      public class IncomingAggreGateCommand
      extends AggreGateCommand

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<StringWrapper>` | `parameters`

    - ### Fields inherited from class com.tibbo.aggregate.common.protocol.AggreGateCommand

      `CLIENT_COMMAND_SEPARATOR, CLIENT_COMMAND_VISIBLE_SEPARATOR, COMMAND_CODE_MESSAGE, COMMAND_CODE_REPLY, COMMAND_OPERATION_ADD_EVENT_LISTENER, COMMAND_OPERATION_CALL_FUNCTION, COMMAND_OPERATION_GET_VAR, COMMAND_OPERATION_REMOVE_EVENT_LISTENER, COMMAND_OPERATION_SET_VAR, END_CHAR, INDEX_COMMAND_CODE, INDEX_DATA_TABLE_IN_REPLY, INDEX_EVENT_CONTEXT, INDEX_EVENT_DATA_TABLE, INDEX_EVENT_ID, INDEX_EVENT_LEVEL, INDEX_EVENT_LISTENER, INDEX_EVENT_NAME, INDEX_EVENT_SERVER_ID, INDEX_EVENT_TIMESTAMP, INDEX_ID, INDEX_MESSAGE_CODE, INDEX_OPERATION_CODE, INDEX_OPERATION_CONTEXT, INDEX_OPERATION_FILTER, INDEX_OPERATION_FINGERPRINT, INDEX_OPERATION_LISTENER_CODE, INDEX_OPERATION_MESSAGE_DATA_TABLE, INDEX_OPERATION_MESSAGE_FLAGS, INDEX_OPERATION_MESSAGE_QUEUE_NAME, INDEX_OPERATION_TARGET, INDEX_PROTOCOL_VERSION, INDEX_REPLY_CODE, INDEX_REPLY_DETAILS, INDEX_REPLY_MESSAGE, INDEX_START_COMPRESSION, INDEX_START_PROTOCOL_VERSION, JSON_START_ARRAY_SEPARATOR, MESSAGE_CODE_COMPRESSION, MESSAGE_CODE_EVENT, MESSAGE_CODE_OPERATION, MESSAGE_CODE_START, START_CHAR`

    - ### Fields inherited from class com.tibbo.aggregate.common.communication.Command

      `completed`

    - ### Fields inherited from class java.io.ByteArrayOutputStream

      `buf, count`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IncomingAggreGateCommand(byte[] data)`
    `IncomingAggreGateCommand(java.io.ByteArrayOutputStream s)`
    `IncomingAggreGateCommand(java.lang.String str)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getEncodedDataTable(int index)`
    `java.lang.String` | `getEncodedDataTableFromEventMessage()`
    `java.lang.String` | `getEncodedDataTableFromOperationMessage()`
    `java.lang.String` | `getEncodedDataTableFromReply()`
    `java.lang.String` | `getFlags()`
    `java.lang.String` | `getId()`
    `StringWrapper` | `getMessageCode()`
    `int` | `getNumberOfParameters()`
    `StringWrapper` | `getParameter(int number)`
    `java.lang.String` | `getQueueName()`
    `java.lang.String` | `getReplyCode()`
    `boolean` | `hasParameter(int number)`
    `boolean` | `isAsync()`
    `boolean` | `isJsonBody()`
    `boolean` | `isMessage()`
    `boolean` | `isReply()`
    `protected void` | `parse()`

    - ### Methods inherited from class com.tibbo.aggregate.common.protocol.AggreGateCommand

      `checkCommandString, generateId, toString`

    - ### Methods inherited from class com.tibbo.aggregate.common.communication.Command

      `add, complete, footer, getContent, getTimeout, header, isContentEmpty, send, send, send, setTimeout`

    - ### Methods inherited from class java.io.ByteArrayOutputStream

      `close, reset, size, toByteArray, toString, toString, write, write, writeTo`

    - ### Methods inherited from class java.io.OutputStream

      `flush, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### parameters

          protected java.util.List<StringWrapper> parameters

  - ### Constructor Detail

    - #### IncomingAggreGateCommand

          public IncomingAggreGateCommand(byte[] data)
                                   throws SyntaxErrorException

      Throws:
        `SyntaxErrorException`

    - #### IncomingAggreGateCommand

          public IncomingAggreGateCommand(java.lang.String str)
                                   throws SyntaxErrorException

      Throws:
        `SyntaxErrorException`

    - #### IncomingAggreGateCommand

          public IncomingAggreGateCommand(java.io.ByteArrayOutputStream s)
                                   throws SyntaxErrorException

      Throws:
        `SyntaxErrorException`

  - ### Method Detail

    - #### parse

          protected void parse()
                        throws SyntaxErrorException

      Throws:
        `SyntaxErrorException`

    - #### getNumberOfParameters

          public int getNumberOfParameters()

    - #### hasParameter

          public boolean hasParameter(int number)

    - #### getParameter

          public StringWrapper getParameter(int number)

    - #### isReply

          public boolean isReply()

    - #### isMessage

          public boolean isMessage()

    - #### getReplyCode

          public java.lang.String getReplyCode()

    - #### getMessageCode

          public StringWrapper getMessageCode()

    - #### getEncodedDataTable

          public java.lang.String getEncodedDataTable(int index)
                                               throws ContextException,
                                                      SyntaxErrorException

      Throws:
        `ContextException`
        `SyntaxErrorException`

    - #### getEncodedDataTableFromReply

          public java.lang.String getEncodedDataTableFromReply()
                                                        throws ContextException,
                                                               SyntaxErrorException

      Throws:
        `ContextException`
        `SyntaxErrorException`

    - #### getEncodedDataTableFromOperationMessage

          public java.lang.String getEncodedDataTableFromOperationMessage()
                                                                   throws ContextException,
                                                                          SyntaxErrorException

      Throws:
        `ContextException`
        `SyntaxErrorException`

    - #### getEncodedDataTableFromEventMessage

          public java.lang.String getEncodedDataTableFromEventMessage()
                                                               throws ContextException,
                                                                      SyntaxErrorException

      Throws:
        `ContextException`
        `SyntaxErrorException`

    - #### getQueueName

          public java.lang.String getQueueName()

    - #### getFlags

          public java.lang.String getFlags()

    - #### getId

          public java.lang.String getId()

      Overrides:
        `getId` in class `Command`

    - #### isAsync

          public boolean isAsync()

      Overrides:
        `isAsync` in class `Command`

    - #### isJsonBody

          public boolean isJsonBody()